#!/usr/bin/env python
#    OpenProximity2.0 is a proximity marketing OpenSource system.
#    Copyright (C) 2010,2009,2008 Naranjo Manuel Francisco <manuel@aircable.net>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation version 2 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
from net.aircable.utils import logger, logmain

if __name__ == "__main__":
    logmain("createadmin.py")

from django.core.management import setup_environ
from django.core.management import call_command

try:
    import settings # Assumed to be in the same directory.
except ImportError:
    sys.stderr.write("Error: Can't find the file 'settings.py' in the directory" 
            " containing %r. It appears you've customized things.\nYou'll have" 
            " to run django-admin.py, passing it your settings module.\n(If the"
            " file settings.py does indeed exist, it's causing an ImportError"
            " somehow.)\n" % __file__)
    sys.exit(1)

if __name__ == "__main__":
    setup_environ(settings)
    from django.contrib.auth.models import User
    user = settings.OPENPROXIMITY.getAdminName()
    mail = settings.OPENPROXIMITY.getAdminEmail()
    passw = settings.OPENPROXIMITY.getAdminPasswd()
    
    logger.info("admin user: %s" % user)
    logger.info("admin password: %s" % passw)
    logger.info("admin mail: %s" % mail)
    User.objects.create_superuser(user, mail, passw).save()

